Zum Inhalt

Domain

||- | | # Domain

Overview

Description Method Endpoint
Read all domains GET /hosting/api/client/{clientId}/domain
Read domain GET /hosting/api/client/{clientId}/domain/{domainId}
Update domain PUT /hosting/api/client/{clientId}/domain/{domainId}
Remove Domain DELETE /hosting/api/client/{clientId}/domain/{domainId}

Create Domain

Endpoint: /hosting/api/client/{clientId}/domain

Method: POST

Query:

  • {clientId}: string – The ID of a CCM19-customer account

Payload: Domain

Response:

  • 201 – Resource successfully created
  • Domain
  • 400 – Invalid or missing properties

Retrieve all domains

Endpoint: /hosting/api/client/{clientId}/domain

Method: GET

Query:

  • {clientId}: string – The ID of a CCM19-customer account

Response:

Read domain

Endpoint: /hosting/api/client/{clientId}/domain/{domainId}

Method: GET

Query:

  • {clientId}: string – The ID of a CCM19-customer account
  • {domainId}: string – The ID of a domain associated with the customer account

Response:

  • 200 – Success
  • Domain
  • 404 – Resource not found


Update domain

Endpoint: /hosting/api/client/{clientId}/domain/{domainId}

Method: PUT

Query:

  • {clientId}: string – The ID of a CCM19-customer account
  • {domainId}: string – The ID of a domain that exists in the customer account

Payload: Domain

Response:

  • 200 – Success
  • Domain
  • 400 – Invalid or missing properties
  • 404 – Resource not found

Delete a domain

Endpoint: /hosting/api/client/{clientId}/domain/{domainId}

Method: DELETE

Query:

  • {clientId}: string – The ID of a CCM19-customer account
  • {domainId}: string – The ID of a domain that exists in the customer account

Response:

  • 204 – Resource successfully deleted
  • 404 – Resource not found